From a3573392bce6bfa903dc388a29a20119a12a7707 Mon Sep 17 00:00:00 2001
From: Thomas <thomasw@fastmail.cn>
Date: Tue, 4 Jun 2019 09:48:09 -0400
Subject: [PATCH] pluma: update to 1.22.1.

Drop enchant patches because they were applied upstream
---
 srcpkgs/pluma/patches/fix-enchant.patch | 14 --------------
 srcpkgs/pluma/template                  |  5 ++---
 2 files changed, 2 insertions(+), 17 deletions(-)
 delete mode 100644 srcpkgs/pluma/patches/fix-enchant.patch

diff --git a/srcpkgs/pluma/patches/fix-enchant.patch b/srcpkgs/pluma/patches/fix-enchant.patch
deleted file mode 100644
index 4e78a3bd378..00000000000
--- a/srcpkgs/pluma/patches/fix-enchant.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff --git a/plugins/spell/pluma-spell-checker.c b/plugins/spell/pluma-spell-checker.c
-index d33bf92..9f2bde3 100644
---- plugins/spell/pluma-spell-checker.c
-+++ plugins/spell/pluma-spell-checker.c
-@@ -433,7 +433,7 @@ pluma_spell_checker_add_word_to_personal (PlumaSpellChecker *spell,
- 	if (len < 0)
- 		len = strlen (word);
- 
--	enchant_dict_add_to_pwl (spell->dict, word, len);
-+	enchant_dict_add (spell->dict, word, len);
- 
- 	g_signal_emit (G_OBJECT (spell), signals[ADD_WORD_TO_PERSONAL], 0, word, len);
- 
-
diff --git a/srcpkgs/pluma/template b/srcpkgs/pluma/template
index 00c5cff7b95..27facfa8dad 100644
--- a/srcpkgs/pluma/template
+++ b/srcpkgs/pluma/template
@@ -1,6 +1,6 @@
 # Template file for 'pluma'
 pkgname=pluma
-version=1.20.4
+version=1.22.1
 revision=1
 build_style=gnu-configure
 pycompile_dirs="usr/lib/pluma/plugins"
@@ -14,11 +14,10 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://mate-desktop.org"
 distfiles="https://pub.mate-desktop.org/releases/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=fffd1ad0309c058ebd364ea0185d5dbbada2a9cde3d580da528b226c7ca9ab61
+checksum=af8d19927f1571d6b63462b8e51fed9ac851326b6ff800535ea785f15c61a591
 nocross="gobject-introspection from libpeas"
 
 pre_configure() {
-	sed -i 's/, enchant/, enchant-2/' configure.ac
 	autoreconf -fi
 }
 
